* [gentoo-commits] repo/gentoo:master commit in: gnome-base/orbit/
@ 2016-06-16 17:54 Ian Stakenvicius
0 siblings, 0 replies; 4+ messages in thread
From: Ian Stakenvicius @ 2016-06-16 17:54 UTC (permalink / raw
To: gentoo-commits
commit: 48b5f94e6994cf7cf0b0a2ce0deec4535508cc57
Author: Ian Stakenvicius <axs <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 16 17:54:07 2016 +0000
Commit: Ian Stakenvicius <axs <AT> gentoo <DOT> org>
CommitDate: Thu Jun 16 17:54:37 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=48b5f94e
gnome-base/orbit: add multilib support
Bug: http://bugs.gentoo.org/586014
Package-Manager: portage-2.2.28
gnome-base/orbit/orbit-2.14.19-r5.ebuild | 101 +++++++++++++++++++++++++++++++
1 file changed, 101 insertions(+)
diff --git a/gnome-base/orbit/orbit-2.14.19-r5.ebuild b/gnome-base/orbit/orbit-2.14.19-r5.ebuild
new file mode 100644
index 0000000..6f4289d
--- /dev/null
+++ b/gnome-base/orbit/orbit-2.14.19-r5.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+GCONF_DEBUG="yes"
+GNOME_ORG_MODULE="ORBit2"
+GNOME_TARBALL_SUFFIX="bz2"
+GNOME2_LA_PUNT="yes"
+
+inherit eutils gnome2 toolchain-funcs autotools multilib-minimal
+
+DESCRIPTION="ORBit2 is a high-performance CORBA ORB"
+HOMEPAGE="https://projects.gnome.org/ORBit2/"
+
+LICENSE="GPL-2 LGPL-2"
+SLOT="2"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris ~x86-winnt"
+IUSE="pic static-libs test"
+REQUIRED_USE="test? ( debug )"
+
+RDEPEND=">=dev-libs/glib-2.44.1-r1:2[${MULTILIB_USEDEP}]
+ >=dev-libs/libIDL-0.8.14-r1[${MULTILIB_USEDEP}]
+"
+DEPEND="${RDEPEND}
+ dev-util/gtk-doc-am
+ virtual/pkgconfig
+"
+
+DOCS="AUTHORS ChangeLog HACKING MAINTAINERS NEWS README* TODO"
+
+MULTILIB_WRAPPED_HEADERS=( /usr/include/orbit-2.0/orbit/orbit-config.h )
+
+MULTILIB_CHOST_TOOLS=( /usr/bin/orbit2-config )
+
+src_prepare() {
+ # Fix wrong process kill, bug #268142
+ sed "s:killall lt-timeout-server:killall timeout-server:" \
+ -i test/timeout.sh || die "sed 1 failed"
+
+ # Do not mess with CFLAGS
+ sed 's/-ggdb -O0//' -i configure.in configure || die "sed 2 failed"
+
+ if ! use test; then
+ sed -i -e 's/test //' Makefile.am || die
+ fi
+
+ # Drop failing test, bug #331709
+ sed -i -e 's/test-mem //' test/Makefile.am || die
+
+ # Fix link_protocol_is_local() for ipv4 on machines with ipv6
+ # https://bugzilla.gnome.org/show_bug.cgi?id=693636
+ epatch "${FILESDIR}/${PN}-2.14.19-link_protocol_is_local.patch"
+
+ # Build libname-server-2.a with -fPIC on hardened, bug #312161
+ epatch "${FILESDIR}/${PN}-2.14.19-fPIC.patch"
+
+ epatch "${FILESDIR}"/${P}-automake-1.13.patch
+ epatch "${FILESDIR}"/${P}-parallel-build.patch #273031
+ epatch "${FILESDIR}"/${P}-aix-func_data.patch #515094
+
+ eautoreconf
+ gnome2_src_prepare
+
+ # we have to copy sources, there is something that causes tests
+ # to segfault when libs are out-of-source built.
+ multilib_copy_sources
+}
+
+multilib_src_configure() {
+ local myconf=()
+
+ # We need to unset IDL_DIR, which is set by RSI's IDL. This causes certain
+ # files to be not found by autotools when compiling ORBit. See bug #58540
+ # for more information. Please don't remove -- 8/18/06
+ unset IDL_DIR
+
+ # We need to use the hosts IDL compiler if cross-compiling, bug #262741
+ if tc-is-cross-compiler; then
+ # check that host version is present and executable
+ [[ -x ${EPREFIX}/usr/bin/orbit-idl-2 ]] || die "Please emerge ~${CATEGORY}/${P} on the host system first"
+ myconf=("${myconf[@]}" "--with-idl-compiler=${EPREFIX}/usr/bin/orbit-idl-2")
+ fi
+ gnome2_src_configure \
+ $(use_enable pic libname-server-pic) \
+ $(use_enable static-libs static) \
+ "${myconf[@]}"
+}
+
+multilib_src_compile() {
+ gnome2_src_compile
+}
+
+multilib_src_install() {
+ gnome2_src_install
+}
+
+multilib_src_test() {
+ # can fail in parallel, see bug #235994
+ emake -j1 check
+}
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: gnome-base/orbit/
@ 2016-12-06 20:33 Markus Meier
0 siblings, 0 replies; 4+ messages in thread
From: Markus Meier @ 2016-12-06 20:33 UTC (permalink / raw
To: gentoo-commits
commit: 7c0b8e54b995b25bd29f33e52f45518d1f1be5af
Author: Markus Meier <maekke <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 6 20:33:42 2016 +0000
Commit: Markus Meier <maekke <AT> gentoo <DOT> org>
CommitDate: Tue Dec 6 20:33:42 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7c0b8e54
gnome-base/orbit: arm stable, bug #587010
Package-Manager: portage-2.3.2
RepoMan-Options: --include-arches="arm"
gnome-base/orbit/orbit-2.14.19-r5.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/gnome-base/orbit/orbit-2.14.19-r5.ebuild b/gnome-base/orbit/orbit-2.14.19-r5.ebuild
index d76914f..57ebe58 100644
--- a/gnome-base/orbit/orbit-2.14.19-r5.ebuild
+++ b/gnome-base/orbit/orbit-2.14.19-r5.ebuild
@@ -15,7 +15,7 @@ HOMEPAGE="https://projects.gnome.org/ORBit2/"
LICENSE="GPL-2 LGPL-2"
SLOT="2"
-KEYWORDS="alpha amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris ~x86-winnt"
+KEYWORDS="alpha amd64 arm ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris ~x86-winnt"
IUSE="pic static-libs test"
REQUIRED_USE="test? ( debug )"
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: gnome-base/orbit/
@ 2017-06-30 12:47 Alexis Ballier
0 siblings, 0 replies; 4+ messages in thread
From: Alexis Ballier @ 2017-06-30 12:47 UTC (permalink / raw
To: gentoo-commits
commit: dbc4de36b311a0c8281cda41fd5bb5619fc273aa
Author: Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 30 11:36:30 2017 +0000
Commit: Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Fri Jun 30 12:47:13 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dbc4de36
gnome-base/orbit: keyword ~arm64
Package-Manager: Portage-2.3.6, Repoman-2.3.2
gnome-base/orbit/orbit-2.14.19-r5.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/gnome-base/orbit/orbit-2.14.19-r5.ebuild b/gnome-base/orbit/orbit-2.14.19-r5.ebuild
index 53e3f121eac..927a74b0de2 100644
--- a/gnome-base/orbit/orbit-2.14.19-r5.ebuild
+++ b/gnome-base/orbit/orbit-2.14.19-r5.ebuild
@@ -14,7 +14,7 @@ HOMEPAGE="https://projects.gnome.org/ORBit2/"
LICENSE="GPL-2 LGPL-2"
SLOT="2"
-KEYWORDS="alpha amd64 arm ia64 ~mips ppc ppc64 ~sh sparc x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris ~x86-winnt"
+KEYWORDS="alpha amd64 arm ~arm64 ia64 ~mips ppc ppc64 ~sh sparc x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris ~x86-winnt"
IUSE="pic static-libs test"
REQUIRED_USE="test? ( debug )"
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: gnome-base/orbit/
@ 2019-02-20 21:40 Pacho Ramos
0 siblings, 0 replies; 4+ messages in thread
From: Pacho Ramos @ 2019-02-20 21:40 UTC (permalink / raw
To: gentoo-commits
commit: 7667442ed56a5dba9caf936f6c9851ecba4052a5
Author: Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 20 21:39:54 2019 +0000
Commit: Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Wed Feb 20 21:39:54 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7667442e
gnome-base/orbit: Workaround parallel build issue
Bug: https://bugs.gentoo.org/635094
Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>
gnome-base/orbit/orbit-2.14.19-r5.ebuild | 5 +++--
1 file changed, 3 insertions(+), 2 deletions(-)
diff --git a/gnome-base/orbit/orbit-2.14.19-r5.ebuild b/gnome-base/orbit/orbit-2.14.19-r5.ebuild
index 927a74b0de2..377415da73d 100644
--- a/gnome-base/orbit/orbit-2.14.19-r5.ebuild
+++ b/gnome-base/orbit/orbit-2.14.19-r5.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@@ -87,7 +87,8 @@ multilib_src_configure() {
}
multilib_src_compile() {
- gnome2_src_compile
+ # Parallel compilation fails, bug #635094
+ MAKEOPTS="${MAKEOPTS} -j1" gnome2_src_compile
}
multilib_src_install() {
^ permalink raw reply related [flat|nested] 4+ messages in thread
end of thread, other threads:[~2019-02-20 21:40 UTC | newest]
Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-06-30 12:47 [gentoo-commits] repo/gentoo:master commit in: gnome-base/orbit/ Alexis Ballier
-- strict thread matches above, loose matches on Subject: below --
2019-02-20 21:40 Pacho Ramos
2016-12-06 20:33 Markus Meier
2016-06-16 17:54 Ian Stakenvicius
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox